org.apache.pdfbox.pdmodel.interactive.form

## Class PDFieldTree

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDFieldTree

All Implemented Interfaces:
  Iterable<PDField>

    public class PDFieldTree
    extends Object
    implements Iterable<PDField>

The field tree.

### Constructor Summary

Constructors
Constructor and Description
`PDFieldTree(PDAcroForm acroForm)` Constructor for reading.

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<PDField>` `iterator()` Returns an iterator which walks all fields in the tree, in order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### PDFieldTree

    public PDFieldTree(PDAcroForm acroForm)

Constructor for reading.

Parameters:
  `acroForm` - the AcroForm containing the fields.

### Method Detail

#### iterator

    public Iterator<PDField> iterator()

Returns an iterator which walks all fields in the tree, in order.

Specified by:
  `iterator` in interface `Iterable<PDField>`